Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.common.service.impl
Class FileVirtualizerFactory

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.common.service.impl.FileVirtualizerFactory

All Implemented Interfaces:
  VirtualizerFactory

    public class FileVirtualizerFactory

extends java.lang.Object
implements VirtualizerFactory

Version:
  $Id: LocalesListImpl.java 5713 2006-11-21 11:44:34Z lucian $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`FileVirtualizerFactory()`

Method Summary
`void` | `disposeVirtualizer(net.sf.jasperreports.engine.JRVirtualizer virtualizer)`
`java.lang.String` | `getDirectory()`
`int` | `getMaxSize()`
`net.sf.jasperreports.engine.JRVirtualizer` | `getVirtualizer()`
`void` | `setDirectory(java.lang.String directory)`
`void` | `setMaxSize(int maxSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileVirtualizerFactory

    public FileVirtualizerFactory()

Method Detail

### getVirtualizer

    public net.sf.jasperreports.engine.JRVirtualizer getVirtualizer()

  Specified by:
    `getVirtualizer` in interface `VirtualizerFactory`

### disposeVirtualizer

    public void disposeVirtualizer(net.sf.jasperreports.engine.JRVirtualizer virtualizer)

  Specified by:
    `disposeVirtualizer` in interface `VirtualizerFactory`

### getMaxSize

    public int getMaxSize()

### setMaxSize

    public void setMaxSize(int maxSize)

### getDirectory

    public java.lang.String getDirectory()

### setDirectory

    public void setDirectory(java.lang.String directory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.